Description

Peux-tu expliquer le pourquoi de cette fonction?

History

#1 - 05/01/2017 04:59 PM - paul leroy

La fonction permets de merger les masques liés au réaction wheels avec les sy_lIfr_fbins. Une fois les masques mélangés, on obtient les masques
locaux complets:

typedef struct {

unsigned char merged_fbins_mask_fom;
unsigned char merged_fbins_mask_ﬁﬁ;
unsigned char merged_fbins_mask_f2'¢;
} fbins_masks_t;

La fonction est exécutée lors de la mise a jour des rw_mask et lors de l'arrivée des sy_lfr_fbins. Sur ce dernier point, en relisant le code, je me suis
rendu compte que je ne faisais pas toutes les mises a jour nécessaires. J'ai ajouté des étapes pour fsw >= 3.1.0.5.
Le mélange est donc fait & trois endroits dans le code:

1. a l'initialisation dans init_parameter_dump

2. A la réception d'une TC_LFR_UPDATE_INFO dans action_update_info
3. A laréception d'une TC_LFR_LOAD_FBINS_MASK dans action_load_fbins_mask

#2 - 05/01/2017 05:01 PM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

#3 - 10/03/2017 08:18 AM - Veronique bouzid
- Assignee changed from Veronique bouzid to bruno katra

- Priority changed from Normal to High
Vérifiez que le comportement décrit est correct.

#4 - 22/03/2017 02:57 PM - bruno katra
- Category changed from R3+ to R3++

- Status changed from New to Closed

Testé manuellement en 3.1.0.7
